Summary: Programs which control basic system processes
Name: sysvinit
Version: 3.09
Release: %mkrel 1
License: GPLv2+
Group: System/Configuration/Boot and Init
Source: https://github.com/slicer69/sysvinit/releases/sysvinit-%{version}.tar.xz
URL: https://github.com/slicer69/sysvinit

Patch4:     sysvinit-2.86-autofsck.patch
Patch5:     sysvinit-2.98-loginshell.patch
Patch8:     sysvinit-2.86-inittab.patch
Patch13:    sysvinit-2.98-single.patch
Patch16:    sysvinit-2.86-quiet.patch
Patch100:   sysvinit-2.93-shutdown.patch
Patch104:   sysvinit-2.85-walltty.patch
Patch105:   sysvinit-disable-respawn-more-quickly.patch
Patch106:   sysvinit-2.93-initctl-in-dev.patch
Patch107:   sysvinit-2.98-no-read-inittab.patch
# Patch108:   sysvinit-2.88-sysmacros.patch
Patch109:   sysvinit-3.04-misleading.patch

BuildRequires: glibc-static-devel
Requires: pam 
Requires(post): coreutils
Requires: sysvinit-tools = %{version}-%{release}
Obsoletes: SysVinit < %version
Provides: SysVinit = %{version}-%{release}
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
The sysvinit package contains a group of processes that control
the very basic functions of your system. sysvinit includes the init
program, the first program started by the Linux kernel when the
system boots. Init then controls the startup, running, and shutdown
of all other programs.

%package tools
Summary: Tools used for process and utmp management
Group: System/Configuration/Boot and Init

%description tools
The sysvinit-tools package contains various tools used for process
management.

%prep
%setup -q -n sysvinit-%{version}
%autopatch -p1

%build
  RPM_OPT_FLAGS="${RPM_OPT_FLAGS} -std=gnu89 -D_FILE_OFFSET_BITS=64 -pipe"
  CC=%__cc
  export RPM_OPT_FLAGS CC
  make %{?_smp_mflags} WITH_SELINUX=no MNTPOINT=yes 

%install
rm -rf %{buildroot}
for I in bin sbin usr/{bin,include} %{_mandir}/man{1,5,8} etc var/run dev; do
	mkdir -p %{buildroot}/$I
done

for I in de es fi fr hu id pl; do
	mkdir -p %{buildroot}/%{_mandir}/man{1,5,8}/$I
done

make -C src ROOT=%{buildroot} MANDIR=%{_mandir} MNTPOINT=yes \
	BIN_OWNER=`id -nu` BIN_GROUP=`id -ng` install

# If this already exists, just do nothing (the ||: part)
mknod --mode=0600 %{buildroot}/dev/initctl p ||:
ln -snf killall5 %{buildroot}/sbin/pidof

chmod 755 %{buildroot}/usr/bin/utmpdump

# Remove unpacjaged file(s)
rm -rf	%{buildroot}/usr/include

#drop man pages
rm -rf %{buildroot}/%{_mandir}

%post
[ ! -p /dev/initctl ] && rm -f /dev/initctl && mknod --mode=0600 /dev/initctl p || :
[ -e /var/run/initrunlvl ] && ln -s ../var/run/initrunlvl /etc/initrunlvl || :
[ -x /sbin/telinit -a -p /dev/initctl -a -f /proc/1/exe -a -d /proc/1/root ] && /sbin/telinit u || :
exit 0

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/Propaganda doc/Install
/sbin/bootlogd
/sbin/logsave
/sbin/halt
/sbin/init
/sbin/poweroff
/sbin/reboot
/sbin/runlevel
/sbin/shutdown
/sbin/telinit

#this file already in initscripts package
%exclude /sbin/fstab-decode

#following two excludes are already in e2fsprogs package
%exclude  /sbin/logsave
%ghost /dev/initctl

%files tools
%defattr(-,root,root)
%doc doc/Changelog COPYRIGHT
/bin/mountpoint
/usr/bin/readbootlog
/bin/pidof
%{_bindir}/last
%{_bindir}/lastb
%{_bindir}/mesg
%{_bindir}/utmpdump
%attr(2555,root,tty)  /usr/bin/wall
/sbin/pidof
/sbin/killall5
/sbin/sulogin


%changelog
* Mon Mar 25 2024 tex - 3.09-1pclos2024
- new version

* Fri Aug 18 2023 tex - 3.08-1pclos2023
- new version

* Sat Aug 12 2023 tex - 3.07-2pclos2023
- drop  man pages included in other pkgs

* Tue May 02 2023 yodelu - 3.07-1pclos2023
- new version

* Fri Dec 16 2022 tex - 3.06-1pclos2022
- new version



